PG(1)

NAMN
pg - bläddra sidvis genom textfiler

SYNOPSIS

pg -*mängd *-p prompt -cefnrs +line +/pattern/ file_ ...

BESKRIVNING

pg visar en textfil på en CRT-skärm, en skärm full åt gången. Efter varje sida visas en prompt. Användaren kan då antingen trycka på newline-tangenten för att visa nästa sida eller på någon av de tangenter som beskrivs nedan.

Om inget filnamn anges på kommandoraden läser pg från standardinmatningen. Om standardutdata inte är en terminal, fungerar pg som cat(1) men föregår varje fil med dess namn om det finns mer än en.

Om indata kommer från en pipe lagrar pg data i en buffertfil under läsningen för att möjliggöra navigering.

FLAGGOR

pg accepterar följande flaggor:

+nummer
    Börja vid det angivna radnumret.

+/pattern*/*
    Börja på den rad som innehåller det grundläggande reguljära uttrycket mönster som anges.

-nummer
    Antal rader per sida. Som standard är detta antalet CRT-rader minus ett.

-c
    Rensa skärmen innan en sida visas, om terminalen har denna funktion i terminfo-posten.

-e
    Pausa inte och visa inte (EOF) i slutet av en fil.

-f
    Dela inte upp långa köer.

-n
    Utan denna flagga måste kommandon avslutas med ett nytt radtecken.

    Med denna flagga avancerar pg när en kommandobokstav skrivs in.

-p sträng
    I stället för den normala prompten : visas sträng. Om sträng innehåller %d ersätts dess första förekomst av numret på den aktuella sidan.

-r
    Tillåt inte att shell escape används.

-s
    Skriv ut meddelanden i standout-läge, om terminalen har denna funktion i terminfo-posten.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

KOMMANDON

Följande kommandon kan anges vid prompten. Kommandon som föregås av i i detta dokument accepterar ett tal som argument, positivt eller negativt. Om argumentet börjar med + eller - tolkas det i förhållande till den aktuella positionen i inmatningsfilen, annars i förhållande till början.

i<Enter>
    Visa nästa eller den angivna sidan.

id eller ^D
    Visar nästa halvsida. Om i anges tolkas det alltid i förhållande till den aktuella positionen.

il
    Visa nästa eller den angivna raden.

if
    Hoppa en sida framåt. i måste vara ett positivt tal och tolkas alltid i förhållande till den aktuella positionen.

iw eller iz
    Som <Enter> förutom att i blir den nya sidstorleken.

. eller ^L
    Rita om skärmen.

$
    Gå vidare till sista raden i inmatningsfilen.

i/pattern/
    Sök framåt tills den första eller den i:e förekomsten av det grundläggande reguljära uttrycket mönster hittas. Sökningen börjar efter den aktuella sidan och slutar vid slutet av filen. Ingen wrap-around utförs. i måste vara ett positivt tal.

i?pattern? eller ipattern
    Sök bakåt tills den första eller den i:e förekomsten av det grundläggande reguljära uttrycket mönster hittas. Sökningen börjar före den aktuella sidan och slutar vid början av filen. Ingen wrap-around utförs. i måste vara ett positivt tal.

Sökningskommandona accepterar en tillagd bokstav. Om t anges visas den rad som innehåller mönstret högst upp på skärmen, vilket är standardinställningen. m väljer mitten och b botten av skärmen. Den valda positionen används även i följande sökningar.

in
    Gå vidare till nästa fil eller i filer framåt.

ip
    Läs om föregående fil eller i filer bakåt.

s filnamn
    Spara den aktuella filen till angivet filnamn.

h
    Visa en kommandosammanfattning.

!kommando
    Utför kommando med hjälp av skalet.

q eller Q
    Avsluta.

Om användaren trycker på interrupt- eller quit-tangenten medan pg läser från inmatningsfilen eller skriver på terminalen, kommer pg omedelbart att visa prompten. I alla andra situationer kommer dessa tangenter att avsluta pg.

MILJÖ

Följande miljövariabler påverkar pg:s beteende:

COLUMNS
    Åsidosätter det systemangivna antalet kolumner om det är angivet.

LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES
    Se locale(7).

LINES
    Åsidosätter det systemanpassade antalet rader om det har angetts.

SKAL
    Används av kommandot !.

TERM
    Fastställer terminaltyp.

ANTECKNINGAR

pg förväntar sig att terminalens tabulatorer ställs in på var åttonde position.

Filer som innehåller NUL-tecken kan inte visas av pg.

SE ÄVEN

cat(1), more(1), sh(1p), terminfo(5), locale(7), regex(7), term(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot pg ingår i paketet util-linux som kan hämtas från